Example for using the Froala Editor PHP SDK
PHP CSS
Permalink
Failed to load latest commit information.
.gitignore
README.md
app.css
composer.json
delete_file.php
delete_image.php
index.php
load_images.php
upload_file.php
upload_file_validation.php
upload_image.php
upload_image_resize.php
upload_image_validation.php

README.md

Example for using Froala WYSIWYG Editor PHP SDK

Easing the Froala WYSIWYG HTML Editor server side integration in PHP projects.

Dependencies

PHP version >= 5.4.0 is required.

The following PHP extensions are required:

  • fileinfo
  • imagick

Setup Instructions

  1. Install composer within the example directory. You can find instructions on how to install composer on composer’s website (https://getcomposer.org/download/)
  2. Add Froala WYSIWYG Editor PHP SDK in your compose.json file

    {
      "require" : {
        "froala/wysiwyg-editor-php-sdk" : ""
      }
    }
    
  3. Run composer:

    php composer.phar install
    

    Or if you installed composer globally:

      composer install
    

Documentation

Help

License

The Froala WYSIWYG Editor PHP SDK is licensed under MIT license. However, in order to use Froala WYSIWYG HTML Editor plugin you should purchase a license for it.

Froala Editor has 3 different licenses for commercial use. For details please see License Agreement.